[Overview][Constants][Types][Index] | Reference for unit 'unixtype' (#rtl)

# pthread_rwlock_t

Read/Write lock type (opaque)

## Declaration

Source position: ptypes.inc line 241

`type pthread_rwlock_t = record`
`case Boolean of`
`False: (`
`_data: array [0..pthreadrwlocksize-1] of Char;` |  | internal structure
`);`
`True: (`
`align: clong;` |  | Internal structure
`);`
`end;`

## Description

pthread_rwlock_t describes a lock. It should be considered an opaque record, the names of the fields can change anytime.

Documentation generated on: Feb 26 2014